CVE-2017-12627

NameCVE-2017-12627
DescriptionIn Apache Xerces-C XML Parser library before 3.2.1, processing of external DTD paths can result in a null pointer dereference under certain conditions.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1328-1
NVD severityhigh (attack range: remote)
Debian Bugs894050

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
xerces-c (PTS)jessie3.1.1-5.1+deb8u4fixed
jessie (security)3.1.1-5.1+deb8u3vulnerable
stretch3.1.4+debian-2+deb9u1fixed
buster, sid3.2.2+debian-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
xerces-csource(unstable)3.2.1+debian-1high894050
xerces-csourcejessie3.1.1-5.1+deb8u4high
xerces-csourcestretch3.1.4+debian-2+deb9u1high
xerces-csourcewheezy3.1.1-3+deb7u5highDLA-1328-1

Notes

https://svn.apache.org/viewvc?view=revision&revision=1819998
https://xerces.apache.org/xerces-c/secadv/CVE-2017-12627.txt

Search for package or bug name: Reporting problems